com.corticon.rulesemf.operationsmodel

## Interface OperationsmodelPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface OperationsmodelPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `OperationsmodelFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OperationsmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OperationsmodelPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `EXTENDED_OPERATOR_SET` The meta object id for the '`Extended Operator Set`' class
    `static int` | `EXTENDED_OPERATOR_SET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS` The feature id for the 'Service Callouts' containment reference list
    `static int` | `EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS` The feature id for the 'Stand Alone Extensions' containment reference list
    `static int` | `EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME` The feature id for the 'Stand Alone Folder Name' attribute list
    `static int` | `EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS` The feature id for the 'Type Extensions' containment reference list
    `static int` | `EXTENDED_OPERATOR_SET_FEATURE_COUNT` The number of structural features of the 'Extended Operator Set' class
    `static int` | `EXTENDED_OPERATOR_TYPE` The meta object id for the '`Extended Operator Type`' enum
    `static int` | `METHOD` The meta object id for the '`Method`' class
    `static int` | `METHOD__NAME` The feature id for the 'Name' attribute list
    `static int` | `METHOD__PARAMETERS` The feature id for the 'Parameters' attribute list
    `static int` | `METHOD__TOOLTIP` The feature id for the 'Tooltip' attribute list
    `static int` | `METHOD_FEATURE_COUNT` The number of structural features of the 'Method' class
    `static int` | `OPERATOR_NODE` The meta object id for the '`Operator Node`' class
    `static int` | `OPERATOR_NODE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `OPERATOR_NODE__ID` The feature id for the 'Id' attribute
    `static int` | `OPERATOR_NODE__NAME` The feature id for the 'Name' attribute list
    `static int` | `OPERATOR_NODE__OPERATOR_NODE_TYPE` The feature id for the 'Operator Node Type' attribute
    `static int` | `OPERATOR_NODE__PARAMETERS` The feature id for the 'Parameters' attribute list
    `static int` | `OPERATOR_NODE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `OPERATOR_NODE__TOOLTIP` The feature id for the 'Tooltip' attribute list
    `static int` | `OPERATOR_NODE_FEATURE_COUNT` The number of structural features of the 'Operator Node' class
    `static int` | `OPERATOR_NODE_TYPE` The meta object id for the '`Operator Node Type`' enum
    `static int` | `OPERATOR_TREE` The meta object id for the '`Operator Tree`' class
    `static int` | `OPERATOR_TREE__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `OPERATOR_TREE__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `OPERATOR_TREE__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `OPERATOR_TREE__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `OPERATOR_TREE__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `OPERATOR_TREE__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `OPERATOR_TREE__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `OPERATOR_TREE__ROOT` The feature id for the 'Root' containment reference
    `static int` | `OPERATOR_TREE__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `OPERATOR_TREE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `OPERATOR_TREE__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `OPERATOR_TREE_FEATURE_COUNT` The number of structural features of the 'Operator Tree' class
    `static int` | `SERVICE_CALLOUT` The meta object id for the '`Service Callout`' class
    `static int` | `SERVICE_CALLOUT__METHODS` The feature id for the 'Methods' containment reference list
    `static int` | `SERVICE_CALLOUT__NAME` The feature id for the 'Name' attribute list
    `static int` | `SERVICE_CALLOUT_FEATURE_COUNT` The number of structural features of the 'Service Callout' class
    `static int` | `STAND_ALONE_EXTENSION` The meta object id for the '`Stand Alone Extension`' class
    `static int` | `STAND_ALONE_EXTENSION__METHODS` The feature id for the 'Methods' containment reference list
    `static int` | `STAND_ALONE_EXTENSION__NAME` The feature id for the 'Name' attribute list
    `static int` | `STAND_ALONE_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Stand Alone Extension' class
    `static int` | `TYPE_EXTENSION` The meta object id for the '`Type Extension`' class
    `static int` | `TYPE_EXTENSION__METHODS` The feature id for the 'Methods' containment reference list
    `static int` | `TYPE_EXTENSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `TYPE_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Type Extension' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getExtendedOperatorSet_LanguageCode()` Returns the meta object for the attribute list '`Language Code`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedOperatorSet_ServiceCallouts()` Returns the meta object for the containment reference list '`Service Callouts`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedOperatorSet_StandAloneExtensions()` Returns the meta object for the containment reference list '`Stand Alone Extensions`'
    `org.eclipse.emf.ecore.EAttribute` | `getExtendedOperatorSet_StandAloneFolderName()` Returns the meta object for the attribute list '`Stand Alone Folder Name`'
    `org.eclipse.emf.ecore.EReference` | `getExtendedOperatorSet_TypeExtensions()` Returns the meta object for the containment reference list '`Type Extensions`'
    `org.eclipse.emf.ecore.EClass` | `getExtendedOperatorSet()` Returns the meta object for class '`Extended Operator Set`'
    `org.eclipse.emf.ecore.EEnum` | `getExtendedOperatorType()` Returns the meta object for enum '`Extended Operator Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getMethod_Name()` Returns the meta object for the attribute list '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getMethod_Parameters()` Returns the meta object for the attribute list '`Parameters`'
    `org.eclipse.emf.ecore.EAttribute` | `getMethod_Tooltip()` Returns the meta object for the attribute list '`Tooltip`'
    `org.eclipse.emf.ecore.EClass` | `getMethod()` Returns the meta object for class '`Method`'
    `OperationsmodelFactory` | `getOperationsmodelFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getOperatorNode_Children()` Returns the meta object for the containment reference list '`Children`'
    `org.eclipse.emf.ecore.EAttribute` | `getOperatorNode_Id()` Returns the meta object for the attribute '`Id`'
    `org.eclipse.emf.ecore.EAttribute` | `getOperatorNode_Name()` Returns the meta object for the attribute list '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getOperatorNode_OperatorNodeType()` Returns the meta object for the attribute '`Operator Node Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getOperatorNode_Parameters()` Returns the meta object for the attribute list '`Parameters`'
    `org.eclipse.emf.ecore.EReference` | `getOperatorNode_Parent()` Returns the meta object for the container reference '`Parent`'
    `org.eclipse.emf.ecore.EAttribute` | `getOperatorNode_Tooltip()` Returns the meta object for the attribute list '`Tooltip`'
    `org.eclipse.emf.ecore.EClass` | `getOperatorNode()` Returns the meta object for class '`Operator Node`'
    `org.eclipse.emf.ecore.EEnum` | `getOperatorNodeType()` Returns the meta object for enum '`Operator Node Type`'
    `org.eclipse.emf.ecore.EReference` | `getOperatorTree_Root()` Returns the meta object for the containment reference '`Root`'
    `org.eclipse.emf.ecore.EClass` | `getOperatorTree()` Returns the meta object for class '`Operator Tree`'
    `org.eclipse.emf.ecore.EReference` | `getServiceCallout_Methods()` Returns the meta object for the containment reference list '`Methods`'
    `org.eclipse.emf.ecore.EAttribute` | `getServiceCallout_Name()` Returns the meta object for the attribute list '`Name`'
    `org.eclipse.emf.ecore.EClass` | `getServiceCallout()` Returns the meta object for class '`Service Callout`'
    `org.eclipse.emf.ecore.EReference` | `getStandAloneExtension_Methods()` Returns the meta object for the containment reference list '`Methods`'
    `org.eclipse.emf.ecore.EAttribute` | `getStandAloneExtension_Name()` Returns the meta object for the attribute list '`Name`'
    `org.eclipse.emf.ecore.EClass` | `getStandAloneExtension()` Returns the meta object for class '`Stand Alone Extension`'
    `org.eclipse.emf.ecore.EReference` | `getTypeExtension_Methods()` Returns the meta object for the containment reference list '`Methods`'
    `org.eclipse.emf.ecore.EAttribute` | `getTypeExtension_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getTypeExtension()` Returns the meta object for class '`Type Extension`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final OperationsmodelPackage eINSTANCE

      The singleton instance of the package.

    - #### OPERATOR_TREE

          static final int OPERATOR_TREE

      The meta object id for the '`Operator Tree`' class.
      See Also:
        `OperatorTreeImpl`, `OperationsmodelPackageImpl.getOperatorTree()`, Constant Field Values

    - #### OPERATOR_TREE__LANGUAGE_CODE

          static final int OPERATOR_TREE__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__MAJOR_VERSION_NUMBER

          static final int OPERATOR_TREE__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__MINOR_VERSION_NUMBER

          static final int OPERATOR_TREE__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__MAJOR_SERVICE_NUMBER

          static final int OPERATOR_TREE__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__MINOR_SERVICE_NUMBER

          static final int OPERATOR_TREE__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__BUILD_NUMBER

          static final int OPERATOR_TREE__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__UPDATE_STAMP

          static final int OPERATOR_TREE__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__VALIDATION_REQUEST

          static final int OPERATOR_TREE__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__EXTERNAL_CHECKSUM

          static final int OPERATOR_TREE__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__VALIDATION_MESSAGES

          static final int OPERATOR_TREE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE__ROOT

          static final int OPERATOR_TREE__ROOT

      The feature id for the 'Root' containment reference.
      See Also:
        Constant Field Values

    - #### OPERATOR_TREE_FEATURE_COUNT

          static final int OPERATOR_TREE_FEATURE_COUNT

      The number of structural features of the 'Operator Tree' class.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE

          static final int OPERATOR_NODE

      The meta object id for the '`Operator Node`' class.
      See Also:
        `OperatorNodeImpl`, `OperationsmodelPackageImpl.getOperatorNode()`, Constant Field Values

    - #### OPERATOR_NODE__ID

          static final int OPERATOR_NODE__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__OPERATOR_NODE_TYPE

          static final int OPERATOR_NODE__OPERATOR_NODE_TYPE

      The feature id for the 'Operator Node Type' attribute.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__NAME

          static final int OPERATOR_NODE__NAME

      The feature id for the 'Name' attribute list.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__PARAMETERS

          static final int OPERATOR_NODE__PARAMETERS

      The feature id for the 'Parameters' attribute list.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__TOOLTIP

          static final int OPERATOR_NODE__TOOLTIP

      The feature id for the 'Tooltip' attribute list.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__CHILDREN

          static final int OPERATOR_NODE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE__PARENT

          static final int OPERATOR_NODE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE_FEATURE_COUNT

          static final int OPERATOR_NODE_FEATURE_COUNT

      The number of structural features of the 'Operator Node' class.
      See Also:
        Constant Field Values

    - #### METHOD

          static final int METHOD

      The meta object id for the '`Method`' class.
      See Also:
        `MethodImpl`, `OperationsmodelPackageImpl.getMethod()`, Constant Field Values

    - #### METHOD__NAME

          static final int METHOD__NAME

      The feature id for the 'Name' attribute list.
      See Also:
        Constant Field Values

    - #### METHOD__PARAMETERS

          static final int METHOD__PARAMETERS

      The feature id for the 'Parameters' attribute list.
      See Also:
        Constant Field Values

    - #### METHOD__TOOLTIP

          static final int METHOD__TOOLTIP

      The feature id for the 'Tooltip' attribute list.
      See Also:
        Constant Field Values

    - #### METHOD_FEATURE_COUNT

          static final int METHOD_FEATURE_COUNT

      The number of structural features of the 'Method' class.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET

          static final int EXTENDED_OPERATOR_SET

      The meta object id for the '`Extended Operator Set`' class.
      See Also:
        `ExtendedOperatorSetImpl`, `OperationsmodelPackageImpl.getExtendedOperatorSet()`, Constant Field Values

    - #### EXTENDED_OPERATOR_SET__LANGUAGE_CODE

          static final int EXTENDED_OPERATOR_SET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME

          static final int EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME

      The feature id for the 'Stand Alone Folder Name' attribute list.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS

          static final int EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS

      The feature id for the 'Stand Alone Extensions' containment reference list.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS

          static final int EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS

      The feature id for the 'Type Extensions' containment reference list.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS

          static final int EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS

      The feature id for the 'Service Callouts' containment reference list.
      See Also:
        Constant Field Values

    - #### EXTENDED_OPERATOR_SET_FEATURE_COUNT

          static final int EXTENDED_OPERATOR_SET_FEATURE_COUNT

      The number of structural features of the 'Extended Operator Set' class.
      See Also:
        Constant Field Values

    - #### STAND_ALONE_EXTENSION

          static final int STAND_ALONE_EXTENSION

      The meta object id for the '`Stand Alone Extension`' class.
      See Also:
        `StandAloneExtensionImpl`, `OperationsmodelPackageImpl.getStandAloneExtension()`, Constant Field Values

    - #### STAND_ALONE_EXTENSION__NAME

          static final int STAND_ALONE_EXTENSION__NAME

      The feature id for the 'Name' attribute list.
      See Also:
        Constant Field Values

    - #### STAND_ALONE_EXTENSION__METHODS

          static final int STAND_ALONE_EXTENSION__METHODS

      The feature id for the 'Methods' containment reference list.
      See Also:
        Constant Field Values

    - #### STAND_ALONE_EXTENSION_FEATURE_COUNT

          static final int STAND_ALONE_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Stand Alone Extension' class.
      See Also:
        Constant Field Values

    - #### TYPE_EXTENSION

          static final int TYPE_EXTENSION

      The meta object id for the '`Type Extension`' class.
      See Also:
        `TypeExtensionImpl`, `OperationsmodelPackageImpl.getTypeExtension()`, Constant Field Values

    - #### TYPE_EXTENSION__TYPE

          static final int TYPE_EXTENSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### TYPE_EXTENSION__METHODS

          static final int TYPE_EXTENSION__METHODS

      The feature id for the 'Methods' containment reference list.
      See Also:
        Constant Field Values

    - #### TYPE_EXTENSION_FEATURE_COUNT

          static final int TYPE_EXTENSION_FEATURE_COUNT

      The number of structural features of the 'Type Extension' class.
      See Also:
        Constant Field Values

    - #### SERVICE_CALLOUT

          static final int SERVICE_CALLOUT

      The meta object id for the '`Service Callout`' class.
      See Also:
        `ServiceCalloutImpl`, `OperationsmodelPackageImpl.getServiceCallout()`, Constant Field Values

    - #### SERVICE_CALLOUT__NAME

          static final int SERVICE_CALLOUT__NAME

      The feature id for the 'Name' attribute list.
      See Also:
        Constant Field Values

    - #### SERVICE_CALLOUT__METHODS

          static final int SERVICE_CALLOUT__METHODS

      The feature id for the 'Methods' containment reference list.
      See Also:
        Constant Field Values

    - #### SERVICE_CALLOUT_FEATURE_COUNT

          static final int SERVICE_CALLOUT_FEATURE_COUNT

      The number of structural features of the 'Service Callout' class.
      See Also:
        Constant Field Values

    - #### OPERATOR_NODE_TYPE

          static final int OPERATOR_NODE_TYPE

      The meta object id for the '`Operator Node Type`' enum.
      See Also:
        `OperatorNodeType`, `OperationsmodelPackageImpl.getOperatorNodeType()`, Constant Field Values

    - #### EXTENDED_OPERATOR_TYPE

          static final int EXTENDED_OPERATOR_TYPE

      The meta object id for the '`Extended Operator Type`' enum.
      See Also:
        `ExtendedOperatorType`, `OperationsmodelPackageImpl.getExtendedOperatorType()`, Constant Field Values

  - ### Method Detail

    - #### getOperatorTree

          org.eclipse.emf.ecore.EClass getOperatorTree()

      Returns the meta object for class '`Operator Tree`'.
      Returns:
        the meta object for class 'Operator Tree'.
      See Also:
        `OperatorTree`

    - #### getOperatorTree_Root

          org.eclipse.emf.ecore.EReference getOperatorTree_Root()

      Returns the meta object for the containment reference '`Root`'.
      Returns:
        the meta object for the containment reference 'Root'.
      See Also:
        `OperatorTree.getRoot()`, `getOperatorTree()`

    - #### getOperatorNode

          org.eclipse.emf.ecore.EClass getOperatorNode()

      Returns the meta object for class '`Operator Node`'.
      Returns:
        the meta object for class 'Operator Node'.
      See Also:
        `OperatorNode`

    - #### getOperatorNode_Id

          org.eclipse.emf.ecore.EAttribute getOperatorNode_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `OperatorNode.getId()`, `getOperatorNode()`

    - #### getOperatorNode_OperatorNodeType

          org.eclipse.emf.ecore.EAttribute getOperatorNode_OperatorNodeType()

      Returns the meta object for the attribute '`Operator Node Type`'.
      Returns:
        the meta object for the attribute 'Operator Node Type'.
      See Also:
        `OperatorNode.getOperatorNodeType()`, `getOperatorNode()`

    - #### getOperatorNode_Name

          org.eclipse.emf.ecore.EAttribute getOperatorNode_Name()

      Returns the meta object for the attribute list '`Name`'.
      Returns:
        the meta object for the attribute list 'Name'.
      See Also:
        `OperatorNode.getName()`, `getOperatorNode()`

    - #### getOperatorNode_Parameters

          org.eclipse.emf.ecore.EAttribute getOperatorNode_Parameters()

      Returns the meta object for the attribute list '`Parameters`'.
      Returns:
        the meta object for the attribute list 'Parameters'.
      See Also:
        `OperatorNode.getParameters()`, `getOperatorNode()`

    - #### getOperatorNode_Tooltip

          org.eclipse.emf.ecore.EAttribute getOperatorNode_Tooltip()

      Returns the meta object for the attribute list '`Tooltip`'.
      Returns:
        the meta object for the attribute list 'Tooltip'.
      See Also:
        `OperatorNode.getTooltip()`, `getOperatorNode()`

    - #### getOperatorNode_Children

          org.eclipse.emf.ecore.EReference getOperatorNode_Children()

      Returns the meta object for the containment reference list '`Children`'.
      Returns:
        the meta object for the containment reference list 'Children'.
      See Also:
        `OperatorNode.getChildren()`, `getOperatorNode()`

    - #### getOperatorNode_Parent

          org.eclipse.emf.ecore.EReference getOperatorNode_Parent()

      Returns the meta object for the container reference '`Parent`'.
      Returns:
        the meta object for the container reference 'Parent'.
      See Also:
        `OperatorNode.getParent()`, `getOperatorNode()`

    - #### getMethod

          org.eclipse.emf.ecore.EClass getMethod()

      Returns the meta object for class '`Method`'.
      Returns:
        the meta object for class 'Method'.
      See Also:
        `Method`

    - #### getMethod_Name

          org.eclipse.emf.ecore.EAttribute getMethod_Name()

      Returns the meta object for the attribute list '`Name`'.
      Returns:
        the meta object for the attribute list 'Name'.
      See Also:
        `Method.getName()`, `getMethod()`

    - #### getMethod_Parameters

          org.eclipse.emf.ecore.EAttribute getMethod_Parameters()

      Returns the meta object for the attribute list '`Parameters`'.
      Returns:
        the meta object for the attribute list 'Parameters'.
      See Also:
        `Method.getParameters()`, `getMethod()`

    - #### getMethod_Tooltip

          org.eclipse.emf.ecore.EAttribute getMethod_Tooltip()

      Returns the meta object for the attribute list '`Tooltip`'.
      Returns:
        the meta object for the attribute list 'Tooltip'.
      See Also:
        `Method.getTooltip()`, `getMethod()`

    - #### getExtendedOperatorSet

          org.eclipse.emf.ecore.EClass getExtendedOperatorSet()

      Returns the meta object for class '`Extended Operator Set`'.
      Returns:
        the meta object for class 'Extended Operator Set'.
      See Also:
        `ExtendedOperatorSet`

    - #### getExtendedOperatorSet_LanguageCode

          org.eclipse.emf.ecore.EAttribute getExtendedOperatorSet_LanguageCode()

      Returns the meta object for the attribute list '`Language Code`'.
      Returns:
        the meta object for the attribute list 'Language Code'.
      See Also:
        `ExtendedOperatorSet.getLanguageCode()`, `getExtendedOperatorSet()`

    - #### getExtendedOperatorSet_StandAloneFolderName

          org.eclipse.emf.ecore.EAttribute getExtendedOperatorSet_StandAloneFolderName()

      Returns the meta object for the attribute list '`Stand Alone Folder Name`'.
      Returns:
        the meta object for the attribute list 'Stand Alone Folder Name'.
      See Also:
        `ExtendedOperatorSet.getStandAloneFolderName()`, `getExtendedOperatorSet()`

    - #### getExtendedOperatorSet_StandAloneExtensions

          org.eclipse.emf.ecore.EReference getExtendedOperatorSet_StandAloneExtensions()

      Returns the meta object for the containment reference list '`Stand Alone Extensions`'.
      Returns:
        the meta object for the containment reference list 'Stand Alone Extensions'.
      See Also:
        `ExtendedOperatorSet.getStandAloneExtensions()`, `getExtendedOperatorSet()`

    - #### getExtendedOperatorSet_TypeExtensions

          org.eclipse.emf.ecore.EReference getExtendedOperatorSet_TypeExtensions()

      Returns the meta object for the containment reference list '`Type Extensions`'.
      Returns:
        the meta object for the containment reference list 'Type Extensions'.
      See Also:
        `ExtendedOperatorSet.getTypeExtensions()`, `getExtendedOperatorSet()`

    - #### getExtendedOperatorSet_ServiceCallouts

          org.eclipse.emf.ecore.EReference getExtendedOperatorSet_ServiceCallouts()

      Returns the meta object for the containment reference list '`Service Callouts`'.
      Returns:
        the meta object for the containment reference list 'Service Callouts'.
      See Also:
        `ExtendedOperatorSet.getServiceCallouts()`, `getExtendedOperatorSet()`

    - #### getStandAloneExtension

          org.eclipse.emf.ecore.EClass getStandAloneExtension()

      Returns the meta object for class '`Stand Alone Extension`'.
      Returns:
        the meta object for class 'Stand Alone Extension'.
      See Also:
        `StandAloneExtension`

    - #### getStandAloneExtension_Name

          org.eclipse.emf.ecore.EAttribute getStandAloneExtension_Name()

      Returns the meta object for the attribute list '`Name`'.
      Returns:
        the meta object for the attribute list 'Name'.
      See Also:
        `StandAloneExtension.getName()`, `getStandAloneExtension()`

    - #### getStandAloneExtension_Methods

          org.eclipse.emf.ecore.EReference getStandAloneExtension_Methods()

      Returns the meta object for the containment reference list '`Methods`'.
      Returns:
        the meta object for the containment reference list 'Methods'.
      See Also:
        `StandAloneExtension.getMethods()`, `getStandAloneExtension()`

    - #### getTypeExtension

          org.eclipse.emf.ecore.EClass getTypeExtension()

      Returns the meta object for class '`Type Extension`'.
      Returns:
        the meta object for class 'Type Extension'.
      See Also:
        `TypeExtension`

    - #### getTypeExtension_Type

          org.eclipse.emf.ecore.EAttribute getTypeExtension_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `TypeExtension.getType()`, `getTypeExtension()`

    - #### getTypeExtension_Methods

          org.eclipse.emf.ecore.EReference getTypeExtension_Methods()

      Returns the meta object for the containment reference list '`Methods`'.
      Returns:
        the meta object for the containment reference list 'Methods'.
      See Also:
        `TypeExtension.getMethods()`, `getTypeExtension()`

    - #### getServiceCallout

          org.eclipse.emf.ecore.EClass getServiceCallout()

      Returns the meta object for class '`Service Callout`'.
      Returns:
        the meta object for class 'Service Callout'.
      See Also:
        `ServiceCallout`

    - #### getServiceCallout_Name

          org.eclipse.emf.ecore.EAttribute getServiceCallout_Name()

      Returns the meta object for the attribute list '`Name`'.
      Returns:
        the meta object for the attribute list 'Name'.
      See Also:
        `ServiceCallout.getName()`, `getServiceCallout()`

    - #### getServiceCallout_Methods

          org.eclipse.emf.ecore.EReference getServiceCallout_Methods()

      Returns the meta object for the containment reference list '`Methods`'.
      Returns:
        the meta object for the containment reference list 'Methods'.
      See Also:
        `ServiceCallout.getMethods()`, `getServiceCallout()`

    - #### getOperatorNodeType

          org.eclipse.emf.ecore.EEnum getOperatorNodeType()

      Returns the meta object for enum '`Operator Node Type`'.
      Returns:
        the meta object for enum 'Operator Node Type'.
      See Also:
        `OperatorNodeType`

    - #### getExtendedOperatorType

          org.eclipse.emf.ecore.EEnum getExtendedOperatorType()

      Returns the meta object for enum '`Extended Operator Type`'.
      Returns:
        the meta object for enum 'Extended Operator Type'.
      See Also:
        `ExtendedOperatorType`

    - #### getOperationsmodelFactory

          OperationsmodelFactory getOperationsmodelFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.